/*
Theme Name: Neve Child
Template: neve
Author: Bree Taylor
*/

@font-face {
  font-family: 'Courierrupted';
  src: url('/wp-content/themes/neve-child/assets/fonts/Courierrupted.woff2') format('woff2');
  font-display: swap;
}

.header,
.header *,
.nv-page-title ,
.nv-page-title * {
    font-family: 'Courierrupted', sans-serif !important;
}

.nv-page-title,
.nv-page-title * {
    font-weight: 900; /* force bold on page titles */
    font-synthesis: weight; /* override synthetic bolding blockers in other style sheet */
}

/* Delete wpadminbar for debugging */
#wpadminbar {
    position: fixed; /* default in WP */
    width: 100%;
    top: 0;
    z-index: 9999;
    transition: transform 0.6s ease-in-out;
    transform: translateY(0); /* initial position */
}

/* Slide out of view */
#wpadminbar.hidden {
    transform: translateY(-100%);
}

/* Slide into view */
#wpadminbar.nothidden {
    transform: translateY(100%);
}

#adminbar-hover-zone {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 5px; /* smaller than the actual wpadminbar */
  z-index: 9998; /* above page content but below admin bar if needed */
  pointer-events: auto;
  opacity: 0; /* invisible */
}

/* Hide Authors in slug for /updates which has the following pageID */
.page-id-2703 .pp-multiple-authors-boxes-wrapper {
    display: none !important;
}

/* Home Page Visuals */
.wp-block-otter-columns {
  align-items: stretch !important;
}

.wp-block-otter-column {
  display: flex;
  flex-direction: column;
}

.wp-block-otter-column.has-background {
  height: 100%;
}

/* Body font update 
body#neve_body.home, 
body#neve_body.home * {
    font-family: "Courier New", Courier, monospace !important;
} */

body#neve_body.home h1,
body#neve_body.home h2,
body#neve_body.home h3,
body#neve_body.home h4,
body#neve_body.home h5,
body#neve_body.home h6 {
    font-family: "Courierrupted", sans-serif !important;
}

/* Phantom Gap Reduction: delete and a 22px white gap between header and body forms on homepage*/
body.home #content.neve-main {
  margin-top: -20px !important;
}

/* Stripe Issue */

.wp-block-themeisle-blocks-stripe-checkout {
    transform: scale(0.8);        
    transform-origin: top center;  
    width: 100%;                      
}




/* .wp-block-themeisle-blocks-stripe-checkout, */

/*
.o-stripe-checkout-description,
.o-stripe-checkout {
    display: block !important;          
    max-width: 100% !important;       
    width: 100% !important;              
    box-sizing: border-box !important;  
    margin: 0 auto !important;           
}

*/